// Copyright Amazon.com, Inc. or its affiliates. All Rights Reserved.
// SPDX-License-Identifier: Apache-2.0

import 'package:amplify_authenticator/src/l10n/generated/country_localizations.dart';

/// The translations for English (`en`).
class AuthenticatorCountryLocalizationsEn
    extends AuthenticatorCountryLocalizations {
  AuthenticatorCountryLocalizationsEn([super.locale = 'en']);

  @override
  String get selectDialCode => 'Select your country dial code';

  @override
  String get noDialCodeSearchResults => 'No search results match your criteria';

  @override
  String get af => 'Afghanistan';

  @override
  String get ax => 'Aland Islands';

  @override
  String get al => 'Albania';

  @override
  String get dz => 'Algeria';

  @override
  String get as1 => 'American Samoa';

  @override
  String get ad => 'Andorra';

  @override
  String get ao => 'Angola';

  @override
  String get ai => 'Anguilla';

  @override
  String get aq => 'Antarctica';

  @override
  String get ag => 'Antigua and Barbuda';

  @override
  String get ar => 'Argentina';

  @override
  String get am => 'Armenia';

  @override
  String get aw => 'Aruba';

  @override
  String get au => 'Australia';

  @override
  String get at => 'Austria';

  @override
  String get az => 'Azerbaijan';

  @override
  String get bs => 'Bahamas';

  @override
  String get bh => 'Bahrain';

  @override
  String get bd => 'Bangladesh';

  @override
  String get bb => 'Barbados';

  @override
  String get by => 'Belarus';

  @override
  String get be => 'Belgium';

  @override
  String get bz => 'Belize';

  @override
  String get bj => 'Benin';

  @override
  String get bm => 'Bermuda';

  @override
  String get bt => 'Bhutan';

  @override
  String get bo => 'Bolivia (Plurinational State of)';

  @override
  String get bq => 'Bonaire, Sint Eustatius and Saba';

  @override
  String get ba => 'Bosnia and Herzegovina';

  @override
  String get bw => 'Botswana';

  @override
  String get br => 'Brazil';

  @override
  String get io => 'British Indian Ocean Territory';

  @override
  String get bn => 'Brunei';

  @override
  String get bg => 'Bulgaria';

  @override
  String get bf => 'Burkina Faso';

  @override
  String get bi => 'Burundi';

  @override
  String get kh => 'Cambodia';

  @override
  String get cm => 'Cameroon';

  @override
  String get ca => 'Canada';

  @override
  String get cv => 'Cape Verde';

  @override
  String get ky => 'Cayman Islands';

  @override
  String get cf => 'Central African Republic';

  @override
  String get td => 'Chad';

  @override
  String get cl => 'Chile';

  @override
  String get cn => 'China';

  @override
  String get cx => 'Christmas Island';

  @override
  String get cc => 'Cocos (Keeling) Islands';

  @override
  String get co => 'Colombia';

  @override
  String get km => 'Comoros';

  @override
  String get cg => 'Congo (Republic of)';

  @override
  String get cd => 'Congo (Democratic Republic of)';

  @override
  String get ck => 'Cook Islands';

  @override
  String get cr => 'Costa Rica';

  @override
  String get ci => 'Côte d\'Ivoire';

  @override
  String get hr => 'Croatia';

  @override
  String get cu => 'Cuba';

  @override
  String get cy => 'Cyprus';

  @override
  String get cz => 'Czech Republic';

  @override
  String get dk => 'Denmark';

  @override
  String get dj => 'Djibouti';

  @override
  String get dm => 'Dominica';

  @override
  String get do1 => 'Dominican Republic';

  @override
  String get ec => 'Ecuador';

  @override
  String get eg => 'Egypt';

  @override
  String get sv => 'El Salvador';

  @override
  String get gq => 'Equatorial Guinea';

  @override
  String get er => 'Eritrea';

  @override
  String get ee => 'Estonia';

  @override
  String get sz => 'Eswatini';

  @override
  String get et => 'Ethiopia';

  @override
  String get fk => 'Falkland Islands (Malvinas)';

  @override
  String get fo => 'Faroe Islands';

  @override
  String get fj => 'Fiji';

  @override
  String get fi => 'Finland';

  @override
  String get fr => 'France';

  @override
  String get gf => 'French Guiana';

  @override
  String get pf => 'French Polynesia';

  @override
  String get ga => 'Gabon';

  @override
  String get gm => 'Gambia';

  @override
  String get ge => 'Georgia';

  @override
  String get de => 'Germany';

  @override
  String get gh => 'Ghana';

  @override
  String get gi => 'Gibraltar';

  @override
  String get gr => 'Greece';

  @override
  String get gl => 'Greenland';

  @override
  String get gd => 'Grenada';

  @override
  String get gp => 'Guadeloupe';

  @override
  String get gu => 'Guam';

  @override
  String get gt => 'Guatemala';

  @override
  String get gg => 'Guernsey';

  @override
  String get gn => 'Guinea';

  @override
  String get gw => 'Guinea-Bissau';

  @override
  String get gy => 'Guyana';

  @override
  String get ht => 'Haiti';

  @override
  String get va => 'Holy See (Vatican City State)';

  @override
  String get hn => 'Honduras';

  @override
  String get hk => 'Hong Kong';

  @override
  String get hu => 'Hungary';

  @override
  String get is1 => 'Iceland';

  @override
  String get in1 => 'India';

  @override
  String get id => 'Indonesia';

  @override
  String get ir => 'Iran (Islamic Republic of)';

  @override
  String get iq => 'Iraq';

  @override
  String get ie => 'Ireland';

  @override
  String get im => 'Isle of Man';

  @override
  String get il => 'Israel';

  @override
  String get it => 'Italy';

  @override
  String get jm => 'Jamaica';

  @override
  String get jp => 'Japan';

  @override
  String get je => 'Jersey';

  @override
  String get jo => 'Jordan';

  @override
  String get kz => 'Kazakhstan';

  @override
  String get ke => 'Kenya';

  @override
  String get ki => 'Kiribati';

  @override
  String get kp => 'Korea (Democratic People\'s Republic of)';

  @override
  String get kr => 'Korea (Republic of)';

  @override
  String get xk => 'Kosovo';

  @override
  String get kw => 'Kuwait';

  @override
  String get kg => 'Kyrgyzstan';

  @override
  String get la => 'Laos';

  @override
  String get lv => 'Latvia';

  @override
  String get lb => 'Lebanon';

  @override
  String get ls => 'Lesotho';

  @override
  String get lr => 'Liberia';

  @override
  String get ly => 'Libya';

  @override
  String get li => 'Liechtenstein';

  @override
  String get lt => 'Lithuania';

  @override
  String get lu => 'Luxembourg';

  @override
  String get mo => 'Macao';

  @override
  String get mk => 'Macedonia';

  @override
  String get mg => 'Madagascar';

  @override
  String get mw => 'Malawi';

  @override
  String get my => 'Malaysia';

  @override
  String get mv => 'Maldives';

  @override
  String get ml => 'Mali';

  @override
  String get mt => 'Malta';

  @override
  String get mh => 'Marshall Islands';

  @override
  String get mq => 'Martinique';

  @override
  String get mr => 'Mauritania';

  @override
  String get mu => 'Mauritius';

  @override
  String get yt => 'Mayotte';

  @override
  String get mx => 'Mexico';

  @override
  String get fm => 'Micronesia (Federated States of)';

  @override
  String get md => 'Moldova';

  @override
  String get mc => 'Monaco';

  @override
  String get mn => 'Mongolia';

  @override
  String get me => 'Montenegro';

  @override
  String get ms => 'Montserrat';

  @override
  String get ma => 'Morocco';

  @override
  String get mz => 'Mozambique';

  @override
  String get mm => 'Myanmar';

  @override
  String get na => 'Namibia';

  @override
  String get nr => 'Nauru';

  @override
  String get np => 'Nepal';

  @override
  String get nl => 'Netherlands';

  @override
  String get nc => 'New Caledonia';

  @override
  String get nz => 'New Zealand';

  @override
  String get ni => 'Nicaragua';

  @override
  String get ne => 'Niger';

  @override
  String get ng => 'Nigeria';

  @override
  String get nu => 'Niue';

  @override
  String get nf => 'Norfolk Island';

  @override
  String get mp => 'Northern Mariana Islands';

  @override
  String get no => 'Norway';

  @override
  String get om => 'Oman';

  @override
  String get pk => 'Pakistan';

  @override
  String get pw => 'Palau';

  @override
  String get ps => 'Palestine (State of)';

  @override
  String get pa => 'Panama';

  @override
  String get pg => 'Papua New Guinea';

  @override
  String get py => 'Paraguay';

  @override
  String get pe => 'Peru';

  @override
  String get ph => 'Philippines';

  @override
  String get pn => 'Pitcairn';

  @override
  String get pl => 'Poland';

  @override
  String get pt => 'Portugal';

  @override
  String get pr => 'Puerto Rico';

  @override
  String get qa => 'Qatar';

  @override
  String get re => 'Reunion';

  @override
  String get ro => 'Romania';

  @override
  String get ru => 'Russia';

  @override
  String get rw => 'Rwanda';

  @override
  String get bl => 'Saint Barthelemy';

  @override
  String get sh => 'Saint Helena, Ascension and Tristan Da Cunha';

  @override
  String get kn => 'Saint Kitts and Nevis';

  @override
  String get lc => 'Saint Lucia';

  @override
  String get mf => 'Saint Martin';

  @override
  String get pm => 'Saint Pierre and Miquelon';

  @override
  String get vc => 'Saint Vincent and the Grenadines';

  @override
  String get ws => 'Samoa';

  @override
  String get sm => 'San Marino';

  @override
  String get st => 'Sao Tome and Principe';

  @override
  String get sa => 'Saudi Arabia';

  @override
  String get sn => 'Senegal';

  @override
  String get rs => 'Serbia';

  @override
  String get sc => 'Seychelles';

  @override
  String get sl => 'Sierra Leone';

  @override
  String get sg => 'Singapore';

  @override
  String get sk => 'Slovakia';

  @override
  String get si => 'Slovenia';

  @override
  String get sb => 'Solomon Islands';

  @override
  String get so => 'Somalia';

  @override
  String get za => 'South Africa';

  @override
  String get gs => 'South Georgia and the South Sandwich Islands';

  @override
  String get ss => 'South Sudan';

  @override
  String get es => 'Spain';

  @override
  String get lk => 'Sri Lanka';

  @override
  String get sd => 'Sudan';

  @override
  String get sr => 'Suriname';

  @override
  String get sj => 'Svalbard and Jan Mayen';

  @override
  String get se => 'Sweden';

  @override
  String get ch => 'Switzerland';

  @override
  String get sy => 'Syrian Arab Republic';

  @override
  String get tw => 'Taiwan';

  @override
  String get tj => 'Tajikistan';

  @override
  String get tz => 'Tanzania (United Republic of)';

  @override
  String get th => 'Thailand';

  @override
  String get tl => 'Timor-Leste (East Timor)';

  @override
  String get tg => 'Togo';

  @override
  String get tk => 'Tokelau';

  @override
  String get to => 'Tonga';

  @override
  String get tt => 'Trinidad and Tobago';

  @override
  String get tn => 'Tunisia';

  @override
  String get tr => 'Turkey';

  @override
  String get tm => 'Turkmenistan';

  @override
  String get tc => 'Turks and Caicos Islands';

  @override
  String get tv => 'Tuvalu';

  @override
  String get ug => 'Uganda';

  @override
  String get ua => 'Ukraine';

  @override
  String get ae => 'United Arab Emirates';

  @override
  String get gb => 'United Kingdom';

  @override
  String get um => 'United States Minor Outlying Islands';

  @override
  String get us => 'United States';

  @override
  String get uy => 'Uruguay';

  @override
  String get uz => 'Uzbekistan';

  @override
  String get vu => 'Vanuatu';

  @override
  String get ve => 'Venezuela (Bolivarian Republic of)';

  @override
  String get vn => 'Vietnam';

  @override
  String get vg => 'Virgin Islands (British)';

  @override
  String get vi => 'Virgin Islands (US)';

  @override
  String get wf => 'Wallis and Futuna';

  @override
  String get ye => 'Yemen';

  @override
  String get zm => 'Zambia';

  @override
  String get zw => 'Zimbabwe';
}
